## org.springframework.jdbc.support.xml
Interface XmlResultProvider

    public interface XmlResultProvider

Interface defining handling involved with providing `Result` data for XML input.

Since:
  2.5.5
Author:
  Thomas Risberg
See Also:
  `Result`

Method Summary
`void` `provideXml(Result result)` Implementations must implement this method to provide the XML content for the `Result`.

Method Detail

### provideXml

    void provideXml(Result result)

  Implementations must implement this method to provide the XML content for the `Result`. Implementations will vary depending on the `Result` implementation used.

  Parameters:
    `result` - the `Result` object being used to provide the XML input